aboutsummaryrefslogtreecommitdiffstats
path: root/comms/smstools3/files/pkg-deinstall.in
diff options
context:
space:
mode:
Diffstat (limited to 'comms/smstools3/files/pkg-deinstall.in')
-rw-r--r--comms/smstools3/files/pkg-deinstall.in17
1 files changed, 17 insertions, 0 deletions
diff --git a/comms/smstools3/files/pkg-deinstall.in b/comms/smstools3/files/pkg-deinstall.in
new file mode 100644
index 000000000000..bd78c6b46ce2
--- /dev/null
+++ b/comms/smstools3/files/pkg-deinstall.in
@@ -0,0 +1,17 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+if [ "x$2" = "xPOST-DEINSTALL" ]; then
+ rmdir %%SPOOLDIR%%/incoming %%SPOOLDIR%%/outgoing \
+ %%SPOOLDIR%%/checked %%SPOOLDIR%% %%LOGDIR%% %%PIDDIR%% \
+ 2>/dev/null || true
+ echo
+ echo "=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-="
+ echo "If you are permanently removing smstools, you should also:" | /usr/bin/fmt
+ echo "'rm -rf %%SPOOLDIR%%'"
+ echo "'rm -rf %%LOGDIR%%'"
+ echo "'rm -rf %%PIDDIR%%'"
+ echo "=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-="
+fi